/* eslint-disable quotes */
export default [
  {
    headerName: '负责人',
    path: 'trans_task_info',
    width: 100,
    columns: [
      {
        schema: 'is_responsible',
        headerName: '负责人',
        dataType: 'boolean',
        editor: {
          id: '3c01d0f0-6bc8-49a2-8668-c568e3c92a93',
          type: 'CHECKBOX',
          schema: 'is_responsible',
          editable: false,
        },
        operations: [],
        filter: {
          placeholder: '请输入关键词过滤',
          type: 'input',
        },
      },
    ],
  },
  {
    headerName: '人员',
    path: 'trans_task_info',
    level: 0,
    description: '',
    operations: [],
    width: 200,
    hide: false,
    important: false,
    columns: [
      {
        type: 'NAME_CODE_COMPONENT',
        schema: 'eoc_name',
        headerName: '人员姓名',
        path: 'trans_task_info',
        level: 0,
        sortable: true,
        width: 190,
        important: false,
        columns: [
          {
            type: 'LABEL',
            schema: 'eoc_name',
            headerName: '人员姓名',
            path: 'trans_task_info',
            level: 0,
            dataType: 'string',
            sortable: true,
            filterable: true,
            rowGroupable: true,
            width: 119,
            important: false,
          },
          {
            type: 'LABEL',
            schema: 'employee_no',
            headerName: '人员编号',
            path: 'trans_task_info',
            level: 0,
            dataType: 'string',
            sortable: true,
            filterable: true,
            rowGroupable: true,
            width: 190,
            important: false,
          },
        ],
      },
    ],
    headers: [],
    isUserDefined: false,
  },
  // {
  //   headerName: '姓名',
  //   path: 'trans_task_info',
  //   level: 0,
  //   description: '',
  //   operations: [],
  //   width: 200,
  //   hide: false,
  //   important: false,
  //   columns: [
  //     {
  //       type: 'LABEL',
  //       schema: 'eoc_name',
  //       headerName: '姓名',
  //       path: 'trans_task_info',
  //       level: 0,
  //       disabled: false,
  //       editable: false,
  //       dataType: 'string',
  //       sortable: true,
  //       width: 200,
  //       important: false,
  //     },
  //   ],
  //   headers: [],
  //   isUserDefined: false,
  // },
  {
    headerName: '状态',
    path: 'trans_task_info',
    level: 0,
    description: '',
    operations: [],
    width: 100,
    hide: false,
    important: false,
    columns: [
      {
        type: 'SELECT',
        schema: 'occupied_state',
        headerName: '状态',
        path: 'trans_task_info',
        level: 0,
        disabled: false,
        editable: false,
        dataType: 'string',
        sortable: true,
        width: 200,
        important: false,
        options: [
          {
            language: '',
            title: '已派遣',
            value: '1',
          },
          {
            language: '',
            title: '占用中',
            value: '2',
          },
          {
            language: '',
            title: '空闲中',
            value: '3',
          },
        ],
      },
    ],
    headers: [],
    isUserDefined: false,
  },
  {
    headerName: '当前任务',
    path: 'trans_task_info',
    level: 0,
    description: '',
    operations: [],
    width: 200,
    hide: false,
    important: false,
    columns: [
      {
        type: 'TEXTAREA',
        schema: 'current_task',
        headerName: '当前任务',
        path: 'trans_task_info',
        level: 0,
        disabled: false,
        editable: false,
        dataType: 'string',
        sortable: true,
        width: 200,
        important: false,
      },
    ],
    headers: [],
    isUserDefined: false,
  },
  {
    headerName: '预计可用时间',
    path: 'trans_task_info',
    level: 0,
    description: '',
    operations: [],
    width: 200,
    hide: false,
    important: false,
    columns: [
      {
        type: 'LABEL',
        schema: 'plan_complete_time',
        headerName: '预计可用时间',
        path: 'trans_task_info',
        level: 0,
        disabled: false,
        editable: false,
        dataType: 'string',
        sortable: true,
        width: 200,
        important: false,
      },
    ],
    headers: [],
    isUserDefined: false,
  },
  {
    headerName: '操作',
    path: 'trans_task_info',
    level: 0,
    description: '',
    operations: [],
    width: 250,
    hide: false,
    important: false,
    columns: [
      {
        type: 'setting-btn',
        schema: 'operate',
        headerName: '操作',
        path: 'trans_task_info',
        level: 0,
        disabled: false,
        editable: false,
        dataType: 'string',
        sortable: true,
        width: 250,
        important: false,
      },
    ],
    headers: [],
    isUserDefined: false,
  },
];
