import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { WorkOrderEffectModule } from './work-order-effect/work-order-effect.module';
import { ProductPlanModule } from './product-plan/product-plan.module';
import { DeviceDetailModule } from './device-detail/device-detail.module';
import { DispatchListModule } from './dispatch-list/dispatch-list.module';
import { SettingBtnModule } from './setting-btn/setting-btn.module';
import { TimeExpandModule } from './time-expand/time-expand.module';
import { FaultCountModule } from './fault-count/fault-count.module';
import { FaultDetailBtnModule } from './fault-detail-btn/fault-detail-btn.module';
import { KnowledgeBaseModule } from './knowledge-base/knowledge-base.module';

const programsModules = [
  WorkOrderEffectModule,
  ProductPlanModule,
  DeviceDetailModule,
  DispatchListModule,
  SettingBtnModule,
  TimeExpandModule,
  FaultCountModule,
  FaultDetailBtnModule,
  KnowledgeBaseModule
];

@NgModule({
  imports: [
    CommonModule,
    ...programsModules
  ],
  declarations: []
})
export class TaskDetailModule { }
